%define gcj_support     0

%define eclipse_name    eclipse
%define eclipse_base    %{_libdir}/%{eclipse_name}
%define eclipse_inst	%{_datadir}/%{eclipse_name}
%define javahl_plugin_name org.tigris.subversion.clientadapter.javahl_1.5.4.1

Name:           eclipse-subclipse
Version:        1.4.7
Release:        %mkrel 0.3.0
Epoch:          0
Summary:        Subversion Eclipse plugin
Group:          Development/Java
License:        EPL and CC-BY
URL:            http://subclipse.tigris.org/
Source0:        subclipse-%{version}.tgz
# Script to fetch the source code
# the new source tarball does not includes the book feature and the layout is
# different than the source repository
Source10:       subclipse-fetch-1.2.4.sh
Patch0:         eclipse-subclipse-1.4.7-dependencies.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
%if %mdkversion == 200800
# For fixed EOL handling:
# you may remove this on 2007-06-25 when iurt chroots are updated
BuildRequires: spec-helper >= 0.26
%endif
BuildRequires:          ant
BuildRequires:          zip
BuildRequires:          java-rpmbuild
BuildRequires:          eclipse-pde
%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
%else
BuildArch:              noarch
BuildRequires:          java-devel
%endif
Requires:               eclipse-platform
BuildRequires:          svn-javahl
Requires:               svn-javahl
BuildRequires:          svnkit
Requires:               svnkit
BuildRequires:          trilead-ssh2
Requires:               trilead-ssh2

BuildArch:              noarch

Obsoletes:              eclipse-subclipse-book < 1.4

%description
Subclipse is an Eclipse plugin that adds Subversion integration to the Eclipse
IDE.

%package graph
Summary:        Subversion Revision Graph
Group:          Development/Java
Requires:       %{name} = %{version}
Requires:       eclipse-gef

%description graph
Subversion Revision Graph for Subclipse.

%prep
%setup -q -n subclipse-%{version}
%patch0 -p1
# fixing wrong-file-end-of-line-encoding warnings
sed -i 's/\r//' org.tigris.subversion.subclipse.graph/icons/readme.txt

# remove javahl sources
rm -rf org.tigris.subversion.clientadapter.javahl/src/org/tigris/subversion/javahl
ln -s %{_javadir}/svn-javahl.jar org.tigris.subversion.clientadapter.javahl

%build
%{eclipse_base}/buildscripts/pdebuild            \
  -f org.tigris.subversion.clientadapter.feature \
  -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild                   \
  -f org.tigris.subversion.clientadapter.javahl.feature \
  -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild                   \
  -f org.tigris.subversion.clientadapter.svnkit.feature \
  -o `pwd`/orbitDeps                                    \
  -d svnkit
%{eclipse_base}/buildscripts/pdebuild \
  -f org.tigris.subversion.subclipse  \
  -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild              \
  -f org.tigris.subversion.subclipse.graph.feature \
  -o `pwd`/orbitDeps                               \
  -d gef

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{eclipse_inst}

installBase=$RPM_BUILD_ROOT%{eclipse_inst}
install -d -m 755 $installBase

# installing features
install -d -m 755 $installBase/subclipse-clientadapter
unzip -q -d $installBase/subclipse-clientadapter build/rpmBuild/org.tigris.subversion.clientadapter.feature.zip
install -d -m 755 $installBase/subclipse-clientadapter-javahl
unzip -q -d $installBase/subclipse-clientadapter-javahl build/rpmBuild/org.tigris.subversion.clientadapter.javahl.feature.zip
install -d -m 755 $installBase/subclipse-clientadapter-svnkit
unzip -q -d $installBase/subclipse-clientadapter-svnkit build/rpmBuild/org.tigris.subversion.clientadapter.svnkit.feature.zip
install -d -m 755 $installBase/subclipse
unzip -q -d $installBase/subclipse build/rpmBuild/org.tigris.subversion.subclipse.zip
install -d -m 755 $installBase/subclipse-graph
unzip -q -d $installBase/subclipse-graph build/rpmBuild/org.tigris.subversion.subclipse.graph.feature.zip

# replacing jar with links to system libraries
rm $installBase/subclipse-clientadapter-javahl/eclipse/plugins/%{javahl_plugin_name}/svn-javahl.jar
ln -s %{_javadir}/svn-javahl.jar $installBase/subclipse-clientadapter-javahl/eclipse/plugins/%{javahl_plugin_name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root)
%{eclipse_inst}/subclipse
%{eclipse_inst}/subclipse-clientadapter*
%doc org.tigris.subversion.subclipse.graph/icons/readme.txt

%files graph
%defattr(-,root,root)
%{eclipse_inst}/subclipse-graph


%changelog
* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 0:1.4.7-0.3.0mdv2009.1
+ Revision: 345450
- New upstream release

* Thu Sep 25 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.4-0.1.2mdv2009.0
+ Revision: 288248
- install in /usr/share/eclipse/dropins
- rebuild for eclipse 3.4

* Sat Jun 28 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.4-0.0.5mdv2009.0
+ Revision: 229673
- really fix svnjavahl symlink

* Sat Jun 28 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.4-0.0.4mdv2009.0
+ Revision: 229639
- rebuild for the new svn, disable gcj_compile

* Mon Mar 17 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.4-0.0.3mdv2008.1
+ Revision: 188209
- add zip BR
- rebuild for the new svnkit

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Thu Oct 18 2007 David Walluck <walluck@mandriva.org> 0:1.2.4-0.0.1mdv2008.1
+ Revision: 100044
- 1.2.4

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.2.3-0.0.2mdv2008.0
+ Revision: 87369
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Wed Jul 11 2007 David Walluck <walluck@mandriva.org> 0:1.2.3-0.0.1mdv2008.0
+ Revision: 51194
- 1.2.3

* Sun Jun 24 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.9-2.4mdv2008.0
+ Revision: 43776
- rebuild with new spec-helper

* Sun Jun 24 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.9-2.3mdv2008.0
+ Revision: 43763
- rebuild with new spec-helper

* Sun Jun 24 2007 David Walluck <walluck@mandriva.org> 0:1.1.9-2.2mdv2008.0
+ Revision: 43601
- fix location of svn-javahl.jar


* Sun Mar 11 2007 David Walluck <walluck@mandriva.org> 1.1.9-2.1mdv2007.1
+ Revision: 141434
- rebuild

* Mon Dec 18 2006 David Walluck <walluck@mandriva.org> 0:1.1.9-1mdv2007.1
+ Revision: 98392
- 1.1.9
- Import eclipse-subclipse

* Fri Sep 01 2006 David Walluck <walluck@mandriva.org> 0:1.1.5-2mdv2007.0
* Mon Aug 28 2006 Robert Marcano <robert@marcanoonline.com> 1.1.5-2
- Rebuild

* Tue Aug 22 2006 Robert Marcano <robert@marcanoonline.com> 1.1.5-1
- Update to upstream 1.1.5
- svnClientAdapter documentation files added. Subclipse includes an eclipse
  based documentation for the plugins

* Mon Aug 07 2006 Robert Marcano <robert@marcanoonline.com> 1.1.4-1
- Update to upstream 1.1.4
- License changed to EPL
- svnClientAdapter-1.1.4-javac-target.patch added fix to svnClientAdapter ant
  script

* Wed Jul 05 2006 Andrew Overholt <overholt@redhat.com> 1.0.3-2
- Use versionless pde.build.
- Remove strict SDK version requirement due to above.

* Mon Jul 03 2006 Robert Marcano <robert@marcanoonline.com> 1.0.3-2
- Embeeding the script that fetch the source code

* Mon Jun 26 2006 Robert Marcano <robert@marcanoonline.com> 1.0.3-1
- Update to 1.0.3
- Dependency name changed to ganymed-ssh2

* Mon Jun 12 2006 Robert Marcano <robert@marcanoonline.com> 1.0.1-6
- rpmlint fixes and debuginfo generation workaround

* Fri Jun 02 2006 Robert Marcano <robert@marcanoonline.com> 1.0.1-5
- Use package-build from eclipse SDK

* Mon May 29 2006 Robert Marcano <robert@marcanoonline.com> 1.0.1-4
- Integrated svnClientAdapter inside this package

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> 1.0.1-3
- Rename package to eclipse-subclipse.
- Use copy-platform script for now.

* Mon May 08 2006 Robert Marcano <robert@marcanoonline.com> 1.0.1-2
- use external libraries from dependent packages

* Thu Apr 27 2006 Ben Konrath <bkonrath@redhat.com> 1.0.1-1
- initial version based on the work of Robert Marcano

